﻿using DX86.Modules;
using Library;

namespace Server;

class Program
{
    public static MessageSender messageSender;
    public static MessageBox messageBox;
    public static InputBox inputBox;
    public static ItemSelector itemSelector;
    public static MySQL mySql;

    static void Main(string[] args)
    {
        Console.WriteLine("Initializing server...");
        // Initialize the server components
        messageSender = new MessageSender("log.txt");
        messageBox = new MessageBox(messageSender);
        inputBox = new InputBox(messageSender);
        itemSelector = new ItemSelector(messageSender);
        
        // Connect to the database
        //mySql = new MySQL("username", "password", "localhost", "database", messageSender);
        
        // Start the server

        messageBox.ShowAsync("Server started", ["LOL","Laurenz Stinkt xd"]);
        string name = inputBox.ShowAsync("Test", ["type your name "]);
        
        messageBox.ShowAsync("Welcome", ["Hello " + name]);

    }
}